vrijdag 17 december 2021
  20 Replies
  360 Visits
Updaten naar een nieuwe Joomla-versie gaat meestal probleemloos, nu echter niet. Bij de update naar 3.10.4 krijg ik de melding: Er heeft zich een fout voorgedaan. Vervolgens onderstaande regel (waarin ik de websitenaam heb weggekruist)

0 Joomla\CMS\Schema\ChangeSet::getUpdateQueries(): Argument #1 ($sqlfiles) must be of type array, bool given, called in /home/xxxxx/domains/xxxxxxx.nl/public_html/libraries/src/Schema/ChangeSet.php on line 71


Iemand een idee hoe ik dit kan oplossen?
Grtz
Grd
1 maand geleden
·
#23499
@Gerard,

Heb je onlangs een plugin geïnstalleerd oid, zo ja dan deze even uitzetten en opnieuw de update uitvoeren.
Of is de PhP versie veranderd dan deze even terugzetten naar voorheen en dan opnieuw de update uitvoeren.

Fred
1 maand geleden
·
#23511
Ik heb de PhP-versie gewijzigd. Die ga ik terugzetten, kijken of het dan wel lukt. Dank voor het advies.

Grtz
Grd
1 maand geleden
·
#23512
Helaas, dat hielp niet. De PHP teruggezet van 8.0 naar 7.4, maar dezelfde foutmelding blijft verschijnen.
Nog een andere suggestie? Ik krijg vier mailtjes per etmaal om me er aan te herinneren dat er een update klaar staat, ik zou die dus graag willen uitvoeren.

Grtz
Grd
1 maand geleden
·
#23513
Middag,

heb je website + browser cache wel opgeschoond?

Groeten Ron :)
1 maand geleden
·
#23514
Was dat de php versie waar de website voorheen op draaide, zo nee, dan nog wat lager terugzetten!
1 week geleden
·
#23636
Deze melding krijg ik ook. Hoe los ik het op?
1 week geleden
·
#23638
al eens gekeken of administrator > Extensies: Database daar een fout melding staat zo ja klik op de reparatieknop boven in.
1 week geleden
·
#23639
Daar staat inderdaad de foutmelding. Welke reparatieknop bedoel je?
1 week geleden
·
#23640
als goed is staat hij daar boven in
1 week geleden
·
#23641
Ik zie alleen de foutmelding:

Er heeft zich een fout voorgedaan.

0 Argument 1 passed to Joomla\CMS\Schema\ChangeSet::getUpdateQueries() must be of the type array, bool given, called in /home/louisvin/domains/louisvinkloop.nl/public_html/libraries/src/Schema/ChangeSet.php on line 71 


Terug naar controlepaneel
1 week geleden
·
#23642
ha dan wordt het lastig.
je heb toch niet een extra plugin met naam schema of zo extra geinstalleerd
kan je wel nog naar administrator > componenten>joomla! Update
dan kan je proberen om de core bestanden opnieuw te installeren
door eerst op controleren update knop te drukken en daarna onderaan op
de knop joomla core bestanden opnieuw installeren
zodat misschien daarna wel lukt.
1 week geleden
·
#23643
Ik heb helemaal geen plugins geïnstalleerd. Als ik op Update klik krijg ik dezelfde foutmelding.
1 week geleden
·
#23644
heb je de fout rapportage op maximum staan ?
zo niet probeer dat eens om te zien of er meer over fout wordt weer gegeven
En het is toch niet zo dat er al ooit een mislukt upgrade naar joomla 4 is gedaan ?
1 week geleden
·
#23646
Net als bij Peter zie ik als ik naar Extensies -> database ga alleen de foutmelding 'Er heeft zich een fout voorgedaan.' met daaronder de foutmelding zelf. Datzelfde krijg is te zien als ik naar Componenten -> Update Joomla ga.
Met de foutreportage bij Algemene instellingen -> server op maximum krijg ik bijgevoegde foutrapportage. Ik heb niet de kennis om daarin een oplossing te vinden voor het probleem...
1 week geleden
·
#23647
Middag,

hebben jullie al een backup terug gezet?

Groeten Ron :)
1 week geleden
·
#23648
Backup terugzetten heb ik nog niet gedaan. Ook omdat dit probleem optreedt bij de update die voorbereid op Joomla 4. Het lijkt me dat ik de oorzaak moet vinden em verhelpen omdat ik anders bij de overstap naar J4 in de problemen kom.
1 week geleden
·
#23649
Hoi,

hernoem via ftp de folder libraries eens libraries1.

Download Joomla en pak (Unzip) deze op je pc.

In deze uitgepakt Joomla versie vindt je de libraries folder ook weer upload deze via FTP naar je website.

Schoon dan je website en browser cache op en kijk of het opgelost is.

Groeten Ron :)
1 week geleden
·
#23655
Dank Rondb! Het vervangen van de map libraries door dezelfde map uit een verse download van Joomla (3.10.4) bracht verlossing. Ik hoefde niet eens een update uit te voeren. Als ik in het menu naar Componenten -> Joomla Update ga, staat daar de melding dat er geen update is en dat ik al over de nieuwste versie Joomla 3.10.4 beschik. Opgelost! Iedereen dank voor het meedenken.
Grtz
Grd
gerardm selected the reply #23649 as the answer for this post — 1 week geleden
gerardm revoked the reply #23649 as the answer for this post — 1 week geleden
1 week geleden
·
#23656
Toch niet helemaal goed. De site is nu niet meer bereikbaar. De foutmelding zegt dat het IP-adres niet kan worden gevonden. Ik heb de oude map Libraries weer teruggezet. De site lijkt het weer te doen.
Kennelijk herkende Joomla de bestanden in de 'nieuwe' map libraries en gaf daarom ook geen melding meer dat een update moest worden uitgevoerd. Mogelijk dat daarom noodzakelijke handelingen om de site bereikbaar te krijgen niet zijn gebeurd, zeg ik als leek. Later een nieuwe poging. Ik probeer het dan met een librariesmap van een iets oudere Joomla (3.9).
1 week geleden
·
#23657
Welke bestaande Joomla versie draai je nu dan?

Vindt het vreemd dat je nu ineens de Libraries map problemen geeft.

De IP fout welke melding kreeg je precies?

Groeten Ron :)
  • Pagina :
  • 1
Er zijn nog geen reacties op dit bericht.
Wees een van de eersten om op dit bericht te reageren!